Skip to main content
GET
/
api
/
syncs
/
{syncId}
/
records
Pull Synced Records
curl --request GET \
  --url https://sync.useparagon.com/api/syncs/{syncId}/records \
  --header 'Authorization: Bearer <token>'
{
  "data": "[/* See schema in Synced Objects */]",
  "paging": {
    "totalRecords": 123,
    "totalActiveRecords": 123,
    "remainingRecords": 123,
    "cursor": "<string>",
    "lastSeen": 123
  }
}

Authorizations

Authorization
string
header
required

Paragon User Token. Add to the Authorization header of your requests.

Path Parameters

syncId
string
required

ID of the sync

Query Parameters

pageSize
integer

Number of records to return per page

cursor
string

Cursor for pagination

Response

Synced records

data
object[]

Array of synced records. See schemas in Synced Objects for the available fields.

Example:

"[/* See schema in Synced Objects */]"

paging
object